package gay.pizza.CavesOfJolk

import com.badlogic.gdx.graphics.g3d.attributes.FloatAttribute

class CustomFloatAttribute private constructor(type: Long, value: Float): FloatAttribute(type, value)
{
	companion object
	{
		const val FogNearAlias = "fogNear"
		val FogNear = register(FogNearAlias)
		fun createFogNear(value: Float) = CustomFloatAttribute(FogNear, value)

		const val FogFarAlias = "fogFar"
		val FogFar = register(FogFarAlias)
		fun createFogFar(value: Float) = CustomFloatAttribute(FogFar, value)

		const val FogDensityAlias = "fogDensity"
		val FogDensity = register(FogDensityAlias)
		fun createFogDensity(value: Float) = CustomFloatAttribute(FogDensity, value)
	}
}
